Package org.springframework.cloud.task.batch.autoconfigure.flatfile

# Class FlatFileItemReaderAutoConfiguration

java.lang.Object
org.springframework.cloud.task.batch.autoconfigure.flatfile.FlatFileItemReaderAutoConfiguration

@Configuration(proxyBeanMethods=false) @EnableConfigurationProperties(FlatFileItemReaderProperties.class) @AutoConfigureAfter(org.springframework.boot.autoconfigure.batch.BatchAutoConfiguration.class) public class FlatFileItemReaderAutoConfiguration extends Object
Autconfiguration for a `FlatFileItemReader`.

Since:
  2.3
Author:
  Michael Minella, Glenn Renfro

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FlatFileItemReaderAutoConfiguration.MapFieldSetMapper`
  A `FieldSetMapper` that takes a `FieldSet` and returns the `Map<String, Object>` of its contents.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlatFileItemReaderAutoConfiguration(FlatFileItemReaderProperties properties)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.springframework.batch.item.file.FlatFileItemReader<Map<String,Object>>`
  `itemReader(org.springframework.batch.item.file.transform.LineTokenizer lineTokenizer, org.springframework.batch.item.file.mapping.FieldSetMapper<Map<String,Object>> fieldSetMapper, org.springframework.batch.item.file.LineMapper<Map<String,Object>> lineMapper, org.springframework.batch.item.file.LineCallbackHandler skippedLinesCallback, org.springframework.batch.item.file.separator.RecordSeparatorPolicy recordSeparatorPolicy)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FlatFileItemReaderAutoConfiguration

    public FlatFileItemReaderAutoConfiguration(FlatFileItemReaderProperties properties)

- ## Method Details

  - ### itemReader

    @Bean @ConditionalOnMissingBean @ConditionalOnProperty(prefix="spring.batch.job.flatfileitemreader", name="name") public org.springframework.batch.item.file.FlatFileItemReader<Map<String,Object>> itemReader(@Autowired(required=false) org.springframework.batch.item.file.transform.LineTokenizer lineTokenizer, @Autowired(required=false) org.springframework.batch.item.file.mapping.FieldSetMapper<Map<String,Object>> fieldSetMapper, @Autowired(required=false) org.springframework.batch.item.file.LineMapper<Map<String,Object>> lineMapper, @Autowired(required=false) org.springframework.batch.item.file.LineCallbackHandler skippedLinesCallback, @Autowired(required=false) org.springframework.batch.item.file.separator.RecordSeparatorPolicy recordSeparatorPolicy)